Enable the dynamic DHCP Pool ?
Sources for this description
Hirschmann MIB copies (LibreNMS/Observium Community)
OID reference
1.3.6.1.4.1.248.51.3.5.1.2
Enable the dynamic DHCP Pool ?
Identification
{1 3 6 1 4 1 248 51 3 5 1 2}
| Value | Name |
|---|---|
| 1 | enabled |
| 2 | disabled |
At least one MIB declaration places this object in a scalar group. A scalar instance uses the suffix .0.
snmpget [connection options] DEVICE .1.3.6.1.4.1.248.51.3.5.1.2.0
Replace the placeholders with your connection and authentication options. Available permissions and device support can differ from the MIB.
Properties come from available MIB definitions. Actual device support and access can differ. See source records below for original files and qualifications.
The displayed source records contain one distinct definition. Compare its source records.
hmSecDHCPIntPoolEnable OBJECT-TYPE
SYNTAX INTEGER {
enabled(1),
disabled(2)
}
ACCESS read-write
STATUS mandatory
DESCRIPTION
"Enable the dynamic DHCP Pool ?"
::={ hmSecDHCPInt 2 }
Meaning
Identical descriptions are grouped. Different wording and device-specific notes are retained.
Enable the dynamic DHCP Pool ?
Hirschmann MIB copies (LibreNMS/Observium Community)
Evidence
Matching descriptions are grouped; open a group to compare definitions and supporting files.
Status in source: mandatory.
Names: hmSecDHCPIntPoolEnable
{
"smi_kind": "OBJECT-TYPE",
"definition": [
"hmSecDHCPIntPoolEnable",
"OBJECT-TYPE",
"SYNTAX",
"INTEGER",
"{",
"enabled",
"(",
"1",
")",
",",
"disabled",
"(",
"2",
")",
"}",
"ACCESS",
"read-write",
"STATUS",
"mandatory",
"DESCRIPTION",
"\"Enable the dynamic DHCP Pool ?\"",
"::=",
"{",
"hmSecDHCPInt",
"2",
"}"
],
"syntax_tree": [
[
"SimpleSyntax",
"INTEGER",
[
"enumSpec",
[
[
"enabled",
1
],
[
"disabled",
2
]
]
]
],
null,
[
"MaxAccessPart",
"read-write"
],
[
"Status",
"mandatory"
],
[
"DESCRIPTION",
"Enable the dynamic DHCP Pool ?"
],
null,
null,
null,
null
]
}Vendor MIB copy from the Observium Community archive. Hirschmann support.
Module: HmSecurityGateway-MIB
See published definition above
{'RFC-1212': ['OBJECT-TYPE'], 'RFC-1215': ['TRAP-TYPE'], 'SNMPv2-TC': ['RowStatus', 'TruthValue', 'MacAddress'], 'RFC1155-SMI': ['enterprises'], 'RFC1213-MIB': ['DisplayString']}Related source files and packages:
Registration
| OID | Name | Direct children | Descendants | Description |
|---|---|---|---|---|
| 1.3.6.1.4.1.248.51.3.5.1.1 | hmSecDHCPIntStart | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.3 | hmSecDHCPIntRangeStart | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.4 | hmSecDHCPIntRangeEnd | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.5 | hmSecDHCPIntNetmask | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.6 | hmSecDHCPIntGateway | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.7 | hmSecDHCPIntDnsServer | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.8 | hmSecDHCPIntStaticTable | 1 | 5 | |
| 1.3.6.1.4.1.248.51.3.5.1.9 | hmSecDHCPIntBroadcast | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.10 | hmSecDHCPIntWINS | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.11 | hmSecDHCPIntLeaseTime | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.50 | hmSecDHCPIntRelayServerTable | 1 | 4 | |
| 1.3.6.1.4.1.248.51.3.5.1.51 | hmSecDHCPIntRelayMaxHop | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.52 | hmSecDHCPIntRelayAppend | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.53 | hmSecDHCPIntRelayAppendLimit | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.54 | hmSecDHCPIntRelayCircuitInfo | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.55 | hmSecDHCPIntRelayCircuitText | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.56 | hmSecDHCPIntRelayRemoteInfo | 0 | 0 | |
| 1.3.6.1.4.1.248.51.3.5.1.57 | hmSecDHCPIntRelayRemoteText | 0 | 0 |